#
# spec file for package lazarus-...
#
# Copyright (c) 2012 by Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define ver_lazarus 1.0.4

%define pkg_name ZVDateTimeCtrls
Name:           lazarus-%{pkg_name}
Version:        1.4
Release:        1.7
Summary:        ZVDateTimeControls Package for Lazarus
Group:          Development/Languages/Other
License:        GPL-2.0 and LGPL-2.0 and MPL-1.1
URL:            http://wiki.lazarus.freepascal.org/ZVDateTimeControls_Package
Source0:	http://sourceforge.net/projects/lazarus-ccr/files/Time%20and%20Date/ZVDateTimeControls%20Pack/%{pkg_name}-1.4.zip
BuildRoot:      %{_tmppath}/%{name}-%{ver}-%{release}-root
BuildRequires:  unzip lazarus
Requires:	lazarus >= %{ver_lazarus}
Requires:	make

Provides:	TZVDateTimePicker, TDBZVDateTimePicker, ZVDateTimeCtrls
AutoReqProv:	no

%description
A cross-platform Lazarus control which tries to resemble VCL's TDateTimePicker as much as possible. 

%prep
%setup -q -c %{pkg_name}-%{version}

%install
mkdir -p %{buildroot}%{_libdir}/lazarus/components
mkdir -p %{buildroot}%{_libdir}/lazarus/components/%{pkg_name}
mkdir -p %{buildroot}%{_libdir}/lazarus/packager/globallinks
echo '$(LazarusDir)/components/%{pkg_name}/zvdatetimectrls.lpk' >  %{buildroot}%{_libdir}/lazarus/packager/globallinks/%{pkg_name}-%{version}.lpl
cp -af %{pkg_name}-%{version}/* %{buildroot}%{_libdir}/lazarus/components/%{pkg_name}/

%files
%defattr(-,root,root)
%{_libdir}/lazarus/components/*
%{_libdir}/lazarus/packager/globallinks/*

%changelog
* Fri Jul 19 2013 fa0sck@gmail.com
- Build for openSUSE
